One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Public
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Client ID
      GET
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Subaccounts
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Get Futures Open Positions
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
  • Funding
    • Transfer Subaccount Balance
      POST
    • Get Transactions
      GET
  1. Public

Instruments

GET
https://api.onetrading.com/fast/v1/instruments
Retrieves a list of instrument pairs on the exchange, including details about the base and quote assets, precision levels, minimum and maximum trading limits, and the market type. The response provides key information needed for trading, such as instrument unique IDs, pricing, and state. Instruments in every state are listed, including CLOSED markets that can no longer be traded. Futures instruments additionally carry their funding schedule, leverage, price collar, maximum order value and maximum position size per customer segment. Optionally, the results can be filtered by market type using the type query parameter.

Request

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🟠404Record Not Found
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/instruments?type='
Response Response Example
200 - Success Example
{
    "base": {
        "code": "BTC",
        "precision": 8
    },
    "quote": {
        "code": "USDC",
        "precision": 8
    },
    "amount_precision": 5,
    "market_precision": 2,
    "min_size": "10.0",
    "min_price": "1000",
    "max_price": "10000000",
    "id": "BTC_USDC",
    "type": "SPOT",
    "state": "ACTIVE"
}
Previous
Currencies
Next
Candlesticks
Built with